%define debug_package %{nil}

Name: 	 	easychem
Summary: 	2D molecular drawing program
Version: 	0.6
Release: 	%mkrel 14

Source:		http://puzzle.dl.sourceforge.net/sourceforge/easychem/%{name}-%{version}.tar.bz2
Patch0:		easychem-0.6-link.patch
URL:		http://easychem.sourceforge.net/
License:	GPL
Group:		Sciences/Chemistry
BuildRequires:	gtk2-devel

%description
EasyChem is a program designed to draw chemical molecules.  The problem in all
existing programs is: they intend to be easy to use at first try, kind of a
quick-and-dirty approach. EasyChem would be a bit difficult to learn, but when
you master it, you can be very fast, and with a huge precision. In fact, it's
just like a specialized vectorial drawing tool.

%prep
%setup -q
%autopatch -p0

%build
%__make -f Makefile.linux CC="gcc %optflags %ldflags"
										
%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir/

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=EasyChem
GenericName=2D Molecule Editor
GenericName[ar]=محرّر جزيئات ثنائي الأبعاد
GenericName[bn]=দ্বিমাত্রিক অণু সম্পাদক
GenericName[bs]=2D editor molekula
GenericName[ca]=Editor de molècules en 2D
GenericName[cy]=Golygydd Moliciwlau 2D
GenericName[da]=2D molekyleredigering
GenericName[de]=2D Molekül Editor
GenericName[el]=Επεξεργαστής μορίων σε 2Δ
GenericName[es]=Editor 2D de moléculas
GenericName[et]=2D molekulide redaktor
GenericName[eu]=2D Molekula Editorea
GenericName[fa]=ویرایشگر ۲بعدی مولکول‌ها
GenericName[fi]=2D-molekyylieditori
GenericName[fr]=Éditeur de molécules en 2D
GenericName[gl]=Editor de Moléculas en 2D
GenericName[he]=עורך מולקולות דו-מימדי
GenericName[hi]=२डी परमाणु संपादक
GenericName[hu]=Kétdimenziós molekulaszerkesztő
GenericName[hy]=Երկչափ մոլեկուլների խմբագրիչ
GenericName[id]=Editor Molekul 2D
GenericName[is]=Tvívíður mólekúaritill
GenericName[it]=Editor molecolare 2D
GenericName[ja]=2D モジュールエディタ
GenericName[ky]=2D Молекула Редактору
GenericName[mk]=2D уредувач на молекули
GenericName[nb]=2D-redigeringsprogram for molekyler
GenericName[nl]=2D-molecuuleditor
GenericName[nn]=2D-redigeringsprogram for molekyl
GenericName[pl]=Dwuwymiarowy edytor molekuł
GenericName[pt]=Editor de moléculas 2D
GenericName[pt_BR]=Editor molecular 2D
GenericName[ro]=Editor de molecule 2D"
GenericName[ru]=Двухмерный редактор молекул
GenericName[sc]=Manijadori de molèculas in 2D
GenericName[sk]=2D editor molekúl
GenericName[sl]=2D urejevalnik molekul
GenericName[sv]=2D Molekyl Editor
GenericName[tg]=Муҳаррири Молекулаҳои дувазъа
GenericName[tl]=2D na pang-edit ng molecule
GenericName[tr]=2B Molekül Düzenleyicisi
GenericName[uk]=2D-редактор молекул
GenericName[uz]=2D molekula tahrirchi
GenericName[uz@cyrillic]=2D molekula tahrirchi
GenericName[vi]=Trình biên tập phân tử 2D
GenericName[wa]=Aspougneus di molecules e 2D
GenericName[zh_CN]=2D 分子编辑器
GenericName[zh_TW]=2D 化學分子編輯器
Comment=Create high-quality chemical formulas
Comment[sq]=Krijo formula kimike me cilësi të lartë
Comment[af]=Skep hoëkwaliteit chemiese formules
Comment[be]=Стварэньне высокаякасных хімічных формул
Comment[ast]=Crea fórmules químiques d'alta calidá
Comment[bn]=উচ্চ- গুণগত মানের রাসায়নিক ফর্মূলা তৈরি করুন
Comment[bs]=Kreira visoko kvalitetne kemijske formule
Comment[pt_BR]=Crie fórmulas químicas de alta qualidade
Comment[ca@valencia]=Creeu fórmules químiques d'alta qualitat
Comment[bg]=Създаване на химични формули с високо качество
Comment[ca]=Creeu fórmules químiques d'alta qualitat
Comment[zh_HK]=建立高品質化學公式
Comment[zh_CN]=创建高质量的化学方程式
Comment[zh_TW]=建立高品質化學公式
Comment[crh]=Yüksek kaliteli kimyasal formüller oluştur
Comment[cs]=Tvorba vysoce kvalitních chemických schémat
Comment[da]=Opret kemiske formler i høj kvalitet
Comment[nl]=Scheikundige formules van hoge kwaliteit maken
Comment[et]=Kvaliteetsete keemiliste valemite loomine
Comment[fi]=Luo korkealaatuisia kemiallisia kaavoja
Comment[fr_CA]=Créer des formules chimiques de haute qualité
Comment[fr]=Créer des formules chimiques de haute qualité
Comment[gl]=Cree fórmulas químicas de alta calidade
Comment[de]=Erstellen Sie hochqualitative chemische Formeln
Comment[el]=Δημιουργήστε υψηλής ποιότητας χημικούς τύπους
Comment[hu]=Kémiai képletek létrehozása
Comment[it]=Crea formule chimiche di alta qualità
Comment[ja]=高品質な化学式を作成します
Comment[ky]=Жогорку сапаттагы химиялык формулаларды түзүү
Comment[lt]=Sukurkite aukštos kokybės chemines formules
Comment[ms]=Cipta formula kimia berkualiti tinggi
Comment[oc]=Crear de formulas quimicas de nauta qualitat
Comment[fa]=فرمول های با کیفیت شیمی ایجاد نمایید
Comment[pl]=Tworzy profesjonalne wzory chemiczne i diagramy molekuł
Comment[nb]=Lag kjemiske formler av høy kvalitet
Comment[pt]=Cria fórmulas químicas de alta qualidade
Comment[ro]=Creare formule chimice de înaltă calitate
Comment[ru]=Создание высококачественных химических формул
Comment[sr]=Креирајте високо квалитетне хемијске формуле
Comment[sk]=Tvorba veľmi kvalitných chemických vzorcov
Comment[sl]=Ustvarite visoko kakovostne kemijske formule
Comment[es]=Cree fórmulas químicas de alta calidad
Comment[sv]=Skapa högkvalitativa kemiska formler
Comment[tr]=Yüksek kaliteli kimyasal formüller oluştur
Comment[uk]=Створення високоякісних хімічних формул
Comment[vi]=Tạo những công tức hoá học chất lượng cao
Exec=%{_bindir}/%{name} 
Icon=chemistry_section
Terminal=false
Type=Application
Categories=Science;Chemistry;
EOF

%files
%doc COPYING
%{_bindir}/%name
%{_datadir}/applications/mageia-%{name}.desktop


%changelog
* Sun Feb 14 2016 umeabot <umeabot> 0.6-14.mga6
+ Revision: 959977
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.6-13.mga6
+ Revision: 874933
- Fix build with new rpm ( empty debuginfo)

* Thu Nov 27 2014 alexl <alexl> 0.6-12.mga5
+ Revision: 799486
- added GenericName
- translated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.6-11.mga5
+ Revision: 741842
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-10.mga5
+ Revision: 678906
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6-9.mga4
+ Revision: 504012
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.6-8.mga3
+ Revision: 349258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 0.6-7.mga3
+ Revision: 328046
- apply patch
- fix linkage

* Mon Sep 19 2011 fwang <fwang> 0.6-6.mga2
+ Revision: 145290
- rebuild

* Sat May 14 2011 dmorgan <dmorgan> 0.6-5.mga2
+ Revision: 98735
- imported package easychem


* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.6-5mdv2010.0
+ Revision: 428440
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-4mdv2009.0
+ Revision: 244603
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.6-2mdv2008.1
+ Revision: 140723
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import easychem


* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-2mdv2007.0
- XDG

* Tue Jul 5 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-1mdk
- 0.6
- %%mkrel
- rpmbuildupdate friendly

* Sun May 2 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5

* Wed Jan 28 2004 Austin Acton <austin@mandrake.org> 0.3-1mdk
- initial package
